petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISBlockGetLocalSize

Returns the local number of blocks in the index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetLocalSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

size -the local number of blocks

### See Also

ISGetBlockSize(), ISBlockGetSize(), ISGetSize(), ISCreateBlock()

Level:intermediate
Location:src/vec/is/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex3.c.html
src/vec/is/is/examples/tutorials/ex3f90.F.html